## edu.stanford.nlp.io
Class OutDataStreamFile

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.DataOutputStream
                  edu.stanford.nlp.io.OutDataStreamFile

All Implemented Interfaces:
  Closeable, DataOutput, Flushable

    public class OutDataStreamFile

extends DataOutputStream

Field Summary

Fields inherited from class java.io.DataOutputStream
`written`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`OutDataStreamFile(File file)`
`OutDataStreamFile(String filename)`

Method Summary

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.DataOutput
`write`

Constructor Detail

### OutDataStreamFile

    public OutDataStreamFile(String filename)
                      throws IOException

Throws:
  `IOException`

### OutDataStreamFile

    public OutDataStreamFile(File file)
                      throws IOException

Throws:
  `IOException`

Stanford NLP Group